Bug 107636 - Adding Actions to Forms (CMS ContentType item) generates error
Adding Actions to Forms (CMS ContentType item) generates error
Status: CLOSED RAWHIDE
Product: Red Hat Enterprise CMS
Classification: Retired
Component: content types (Show other bugs)
6.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: ccm-bugs-list
Jon Orris
:
Depends On:
Blocks: 108447 109973
  Show dependency treegraph
 
Reported: 2003-10-21 12:21 EDT by Richard Su
Modified: 2007-04-18 12:58 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-12-10 15:09:08 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Richard Su 2003-10-21 12:21:53 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007

Description of problem:
This error is generated when one attempts to enter any type of Actions to a Form:

An unexpected error has occurred	

An unexpected error has occurred. If this continues to be a problem for you
please contact the administrators of the site quoting the following:

CCM issue report code: 172.16.64.132:545ebfa2:f85f58d2e6

-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.132:545ebfa2:f85f58d2e6 -*-*-*-
-*-*-*- Message:  (root cause: Unable to send all events to database for object
[com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}] because these
required properties are null:
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].form
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].~form) -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Content-Length: 619
Content-Type: application/x-www-form-urlencoded
Cookie: JSESSIONID=aAykW-DBWck6;
ad_user_login=1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ==
Host: rwsu.boston.redhat.com:9003
Keep-Alive: 300
Referer: http://rwsu.boston.redhat.com:9003/ccm/forms/admin/item.jsp
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aAykW-DBWck6 (expires: -1)
ad_user_login: 1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.FlushException:  (root cause:
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}] because
these required properties are null:
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].form
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].~form)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:134)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:109)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:424)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.formbuilder.ui.editors.ProcessListenerForm$ProcessListenerFormProcessListener.process(ProcessListenerForm.java:187)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:60)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:177)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:206)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:63)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)
Root cause: 
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}] because
these required properties are null:
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].form
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].~form
	at com.redhat.persistence.Session.assertFlushed(Session.java(Inlined Compiled
Code))
	at
com.arsdigita.persistence.DataObjectImpl.assertFlushed(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:418)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.formbuilder.ui.editors.ProcessListenerForm$ProcessListenerFormProcessListener.process(ProcessListenerForm.java:187)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:60)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:177)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:206)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:63)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@11b8bfad = {
m_page = com.arsdigita.cms.ui.ContentItemPage@d59ffa6,
m_request = com.caucho.server.http.DispatchRequest@77e77faf,
m_response = com.caucho.server.http.HttpResponse@717b3fab,
m_pageState = com.arsdigita.bebop.FormData@11b6bfad = {
m_parameterDataValues = {bbp.2151.col={null, []}, bbp.2684.kw={null, []},
bbp.546.col={null, []}, bbp.34.stack={null, []}, bbp.2995.row={null, []},
bbp.2828.col={null, []}, bbp.1189.sel={2007, []}, bbp.1955.col={null, []},
bbp.1220.col={null, []}, bbp.706.control={null, []}, bbp.603.sel={null, []},
bbp.1233.sel={null, []}, bbp.680.stack={null, []}, bbp.413.col={null, []},
bbp.1043.col={null, []}, bbp.2023.sel={null, []}, bbp.2007.sel={null, []},
bbp.1352.col={null, []}, bbp.1150.sel={null, []}, bbp.2555.sel={22032, []},
bbp.1727.stack={null, []}, bbp.1409.row={null, []}, bbp.2223.row={null, []},
bbp.566.sel={null, []}, bbp.670.row={null, []}, bbp.1637.col={null, []},
bbp.376.col={null, []}, bbp.3071.o={null, []}, bbp.2747.row={null, []},
bbp.397.sel={null, []}, bbp.1938.col={null, []}, bbp.1489.sel={28006, []},
bbp.3071.d={asc, []}, bbp.1329.chim={null, []}, bbp.3071.c={null, []},
bbp.2654.chim={null, []}, bbp.2765.sel={null, []}, bbp.1344.kw={null, []},
bbp.433.sel={null, []}, bbp.3056.col={null, []}, bbp.1764.sel={null, []},
bbp.563.row={null, []}, bbp.1859.kw={null, []}, bbp.2692.row={null, []},
bbp.1902.row={null, []}, bbp.1611.sel={null, []}, bbp.3031.stack={null, []},
bbp.1867.col={null, []}, bbp.861.col={null, []}, bbp.430.row={null, []},
bbp.1761.row={null, []}, bbp.2281.col={null, []}, bbp.123.sel={null, []},
bbp.1958.sel={null, []}, bbp.172.col={null, []}, bbp.1280.col={null, []},
bbp.41.col={null, []}, bbp.1223.sel={null, []}, bbp.3071.col={null, []},
bbp.2081.type={null, []}, bbp.2057.row={null, []}, bbp.2727.col={null, []},
bbp.3006.sel={null, []}, bbp.177.sel={null, []}, bbp.1734.col={null, []},
bbp.1285.sel={null, []}, bbp.46.sel={null, []}, bbp.2151.row={null, []},
bbp.3039.col={null, []}, bbp.546.row={null, []}, bbp.1739.sel={null, []},
item_id={18026, []}, bbp.2828.row={null, []}, bbp.919.col={null, []},
bbp.2586.col={null, []}, bbp.1955.row={null, []}, bbp.2599.sel={null, []},
bbp.1220.row={null, []}, bbp.2817.col={null, []}, bbp.2777.o={null, []},
bbp.413.row={null, []}, bbp.2777.d={asc, []}, bbp.1700.sel={null, []},
bbp.1352.row={null, []}, bbp.155.col={null, []}, bbp.3091.sel={null, []},
bbp.24.col={null, []}, bbp.1263.col={null, []}, bbp.7.stack={null, []},
bbp.2984.stack={null, []}, bbp.687.col={null, []}, bbp.1717.col={null, []},
bbp.262.sel={null, []}, bbp.1840.sel={null, []}, bbp.1637.row={null, []},
bbp.2507.col={null, []}, bbp.1783.image_asset={null, []}, bbp.1180.col={null,
[]}, bbp.376.row={null, []}, bbp.2528.sel={null, []}, bbp.311.col={null, []},
bbp.555.sel={27017, []}, bbp.1938.row={null, []}, bbp.2614.sel={null, []},
bbp.316.sel={null, []}, bbp.3056.row={null, []}, bbp.632.col={null, []},
bbp.1325.image_asset={null, []}, bbp.175.sel={null, []}, bbp.653.sel={null, []},
bbp.1283.sel={null, []}, bbp.44.sel={null, []}, bbp.422.sel={27013, []},
bbp.637.sel={null, []}, bbp.1737.sel={null, []}, bbp.1867.row={null, []},
bbp.1810.col={null, []}, bbp.861.row={null, []}, bbp.294.col={null, []},
bbp.2049.sel={28021, []}, bbp.2281.row={null, []}, bbp.1802.kw={null, []},
bbp.2589.sel={null, []}, bbp.1480.col={null, []}, bbp.172.row={null, []},
bbp.509.col={null, []}, bbp.1280.row={null, []}, bbp.41.row={null, []},
bbp.2727.row={null, []}, bbp.1679.col={null, []}, bbp.1033.row={28028, []},
bbp.1734.row={null, []}, bbp.1947.sel={28018, []}, bbp.3039.row={null, []},
g11n.enc={UTF-8, []}, bbp.919.row={null, []}, bbp.2586.row={null, []},
bbp.2050.stack={null, []}, bbp.1190.stack={null, []}, bbp.76.col={null, []},
bbp.454.col={null, []}, bbp.89.sel={null, []}, bbp.2817.row={null, []},
bbp.215.col={null, []}, bbp.423.stack={null, []}, bbp.228.sel={null, []},
bbp.314.sel={null, []}, textParam={null, []}, bbp.2868.col={null, []},
bbp.155.row={null, []}, bbp.1263.row={null, []}, bbp.24.row={null, []},
bbp.687.row={null, []}, bbp.1717.row={null, []}, bbp.2752.sel={null, []},
bbp.2507.row={null, []}, bbp.1180.row={null, []}, bbp.1036.type={2064, []},
bbp.v={null, []}, bbp.2777.col={null, []}, bbp.s={1111, []}, imageParam={null,
[]}, bbp.311.row={null, []}, bbp.3084.o={null, []}, bbp.165.stack={null, []},
bbp.i={{4, 5, 16, 147, 286, 405, 538, 663, 682, 707, 708, 735, 1034, 1035, 1051,
1174, 1254, 1473, 1581, 1708, 1931, 2031, 2536}, []}, bbp.1273.stack={null, []},
bbp.1789.sel={null, []}, bbp.e={null, []}, bbp.1145.col={null, []},
bbp.3084.d={asc, []}, bbp.1166.sel={null, []}, bbp.2319.col={null, []},
bbp.632.row={null, []}, bbp.2920.sel={null, []}, bbp.2665.sel={null, []},
bbp.2405.col={null, []}, bbp.2904.sel={null, []}, bbp.1948.stack={null, []},
bbp.1202.sel={null, []}, bbp.1810.row={null, []}, bbp.164.sel={27005, []},
bbp.1272.sel={28001, []}, bbp.33.sel={27001, []}, bbp.294.row={null, []},
bbp.1726.sel={28013, []}, bbp.1552.col={null, []}, bbp.2062.sel={null, []},
bbp.3084.mid={null, []}, bbp.1573.sel={null, []}, bbp.79.sel={null, []},
bbp.1480.row={null, []}, bbp.509.row={null, []}, bbp.1557.sel={null, []},
bbp.218.sel={null, []}, bbp.1679.row={null, []}, bbp.1606.col={null, []},
bbp.3.pane={1, []}, bbp.2858.col={null, []}, bbp.2635.col={null, []},
bbp.1960.sel={null, []}, bbp.76.row={null, []}, bbp.2750.sel={null, []},
bbp.454.row={null, []}, bbp.215.row={null, []}, bbp.118.col={null, []},
bbp.1829.chim={null, []}, bbp.2040.col={null, []}, bbp.139.sel={null, []},
bbp.1502.sel={null, []}, bbp.679.sel={27023, []}, bbp.2868.row={null, []},
bbp.1589.col={null, []}, bbp.1650.sel={null, []}, bbp.303.sel={27009, []},
bbp.381.sel={null, []}, bbp.1197.col={null, []}, bbp.1444.col={null, []},
bbp.1465.sel={null, []}, bbp.2777.row={null, []}, bbp.2972.sel={null, []},
bbp.1449.sel={null, []}, bbp.1200.sel={null, []}, bbp.2076.control={null, []},
bbp.1246.sel={null, []}, bbp.2060.sel={null, []}, bbp.1145.row={null, []},
bbp.2319.row={null, []}, bbp.1303.col={null, []}, bbp.2563.col={null, []},
bbp.1787.chim={null, []}, bbp.257.col={null, []}, bbp.556.stack={null, []},
bbp.1316.sel={null, []}, bbp.2612.chim={null, []}, bbp.590.col={null, []},
bbp.278.sel={null, []}, bbp.2568.sel={null, []}, bbp.789.col={null, []},
bbp.1609.sel={null, []}, return_url={null, []}, bbp.1497.col={null, []},
bbp.1552.row={null, []}, bbp.2732.sel={null, []}, bbp.2002.col={null, []},
content_type={null, []}, bbp.9.stack={null, []}, bbp.1500.sel={null, []},
bbp.1401.kw={null, []}, bbp.1331.sel={null, []}, bbp.1606.row={null, []},
bbp.2858.row={null, []}, bbp.2635.row={null, []}, bbp.957.col={null, []},
bbp.2546.col={null, []}, bbp.1640.sel={null, []}, bbp.2794.stack={null, []},
bbp.334.col={null, []}, bbp.347.sel={null, []}, bbp.118.row={null, []},
bbp.2040.row={null, []}, bbp.2995.col={null, []}, bbp.1371.chim={null, []},
bbp.711.type={2057, []}, bbp.692.sel={null, []}, bbp.3084.col={null, []},
bbp.1589.row={null, []}, bbp.2395.row={null, []}, bbp.2512.sel={null, []},
moveSection={null, []}, bbp.1197.row={null, []}, bbp.1444.row={null, []},
bbp.1306.sel={null, []}, bbp.2566.sel={null, []}, bbp.8.stack={null, []},
bbp.593.sel={null, []}, bbp.304.stack={null, []}, bbp.2398.type={null, []},
bbp.2797.stack={null, []}, bbp.1409.col={null, []}, bbp.2223.col={null, []},
bbp.2945.sel={null, []}, bbp.670.col={null, []}, bbp.1303.row={null, []},
bbp.2563.row={null, []}, bbp.2627.kw={null, []}, bbp.2747.col={null, []},
bbp.257.row={null, []}, bbp.590.row={null, []}, bbp.789.row={null, []},
bbp.530.sel={null, []}, bbp.1598.sel={28009, []}, bbp.514.sel={null, []},
bbp.563.col={null, []}, bbp.1497.row={null, []}, bbp.2002.row={null, []},
bbp.1684.sel={null, []}, bbp.2692.col={null, []}, bbp.568.sel={null, []},
bbp.1902.col={null, []}, bbp.337.sel={null, []}, bbp.1923.sel={null, []},
bbp.2960.sel={null, []}, bbp.1599.stack={null, []}, bbp.1907.sel={null, []},
bbp.2608.image_asset={null, []}, bbp.2936.sel={null, []}, bbp.690.sel={null,
[]}, bbp.430.col={null, []}, bbp.1761.col={null, []}, bbp.957.row={null, []},
bbp.1490.stack={null, []}, bbp.2546.row={null, []}, bbp.1774.sel={null, []},
bbp.435.sel={null, []}, bbp.2556.stack={null, []}, bbp.3079.sel={null, []},
bbp.334.row={null, []}, bbp.2057.col={null, []}, bbp.1382.sel={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@dad7fa6,
m_locale = en,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 6, 7, 8, 9, 10, 17, 18, 19, 35, 36, 37, 40, 74, 75, 115, 148,
149, 150, 166, 167, 168, 171, 213, 214, 254, 287, 288, 289, 305, 306, 307, 310,
332, 333, 373, 406, 407, 408, 424, 425, 426, 429, 449, 450, 451, 452, 506, 539,
540, 541, 557, 558, 559, 562, 588, 589, 629, 661, 662, 664, 665, 681, 683, 686,
707, 709, 728, 729, 730, 731, 732, 733, 734, 736, 737, 738, 739, 1034, 1048,
1049, 1050, 1052, 1142, 1175, 1191, 1192, 1193, 1196, 1218, 1219, 1255, 1256,
1257, 1258, 1274, 1275, 1276, 1279, 1301, 1302, 1328, 1329, 1343, 1369, 1370,
1371, 1400, 1441, 1474, 1475, 1491, 1492, 1493, 1496, 1549, 1582, 1583, 1584,
1600, 1601, 1602, 1605, 1635, 1636, 1676, 1709, 1710, 1711, 1712, 1728, 1729,
1730, 1733, 1759, 1760, 1786, 1787, 1801, 1827, 1828, 1829, 1858, 1899, 1932,
1933, 1949, 1950, 1951, 1954, 1999, 2032, 2033, 2034, 2035, 2051, 2052, 2053,
2056, 2078, 2079, 2090, 2091, 2092, 2093, 2094, 2095, 2096, 2097, 2098, 2099,
2100, 2101, 2397, 2410, 2411, 2412, 2413, 2414, 2504, 2537, 2538, 2539, 2540,
2541, 2557, 2558, 2559, 2562, 2584, 2585, 2611, 2612, 2626, 2652, 2653, 2654,
2683, 2724, 2746, 2789, 2790, 2791, 2792, 2793, 2795, 2796, 2797, 2798, 2799,
2800, 2801, 2835, 2836, 2837, 2838, 2979, 2980, 2981, 2982, 2985, 2986, 3029,
3030, 3031, 3049, 3050, 3064}
}
com.arsdigita.bebop.RequestLocal: {com.arsdigita.bebop.Form$2@753affab=,
com.arsdigita.cms.ui.ContentItemPage$ItemRequestLocal@9f0bfa6=[com.arsdigita.cms.formbuilder.FormItem:{id=18026}]}
com.arsdigita.cms.dispatcher.section: [com.arsdigita.cms.ContentSection:{id=2072}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@cf47faf
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@4792ffb8=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 2072
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/forms/admin/item.jsp?bbp.2777.d=asc&to=rwsu%40redhat.com&bbp.3.pane=1&bbp.33.sel=27001&bbp.303.sel=27009&bbp.s=1111&bbp.1036.type=2064&bbp.422.sel=27013&subject=test1&bbp.1272.sel=28001&bbp.1189.sel=2007&bbp.3084.d=asc&bbp.2049.sel=28021&bbp.i=d0.4.2.a.1.3m.1.3u.1.3a.1.3o.1.3g.1.i.1.o.2.q.1.8a.2.f.1.3e.1.27.1.62.1.2z.1.3i.1.66.1.2r.1.e0.1&bbp.555.sel=27017&bbp.679.sel=27023&bbp.3071.d=asc&bbp.1598.sel=28009&bbp.1947.sel=28018&form.=visited&bbp.164.sel=27005&item_id=18026&bbp.1489.sel=28006&description=test1&bbp.2555.sel=22032&save=%C2%A0%C2%A0%C2%A0Save%C2%A0%C2%A0%C2%A0&bbp.711.type=2057&bbp.1726.sel=28013&g11n.enc=UTF-8&name=test1
guruErrorReport: 
-*-*-*-*-*- Begin Error Report -*-*-*-*-*-
-*-*-*- ACS Error Report Code: 172.16.64.132:545ebfa2:f85f58d2d2 -*-*-*-
-*-*-*- Message:  (root cause: Unable to send all events to database for object
[com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}] because these
required properties are null:
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].form
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].~form) -*-*-*-

-*-*-*- Section: HTTP headers -*-*-*-
Accept:
text/xml,application/xml,application/xhtml+xml,text/html;q=0.9,text/plain;q=0.8,image/png,image/jpeg,image/gif;q=0.2,*/*;q=0.1
Accept-Charset: ISO-8859-1,utf-8;q=0.7,*;q=0.7
Accept-Encoding: gzip,deflate
Accept-Language: en-us,en;q=0.5
Connection: keep-alive
Content-Length: 619
Content-Type: application/x-www-form-urlencoded
Cookie: JSESSIONID=aAykW-DBWck6;
ad_user_login=1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ==
Host: rwsu.boston.redhat.com:9003
Keep-Alive: 300
Referer: http://rwsu.boston.redhat.com:9003/ccm/forms/admin/item.jsp
User-Agent: Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.5) Gecko/20031007

-*-*-*- Section: Cookies -*-*-*-
JSESSIONID: aAykW-DBWck6 (expires: -1)
ad_user_login: 1021!1161357840720!4rG+fw3GBFb184wlFfQYlQ== (expires: -1)

-*-*-*- Section: CCM User -*-*-*-
Party not logged in

-*-*-*- Section: Stack trace -*-*-*-
com.arsdigita.persistence.FlushException:  (root cause:
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}] because
these required properties are null:
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].form
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].~form)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:134)
	at
com.arsdigita.persistence.PersistenceException.newInstance(PersistenceException.java:109)
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:424)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.formbuilder.ui.editors.ProcessListenerForm$ProcessListenerFormProcessListener.process(ProcessListenerForm.java:187)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:60)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:177)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:206)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:63)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)
Root cause: 
com.redhat.persistence.FlushException: Unable to send all events to database for
object [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}] because
these required properties are null:
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].form
 [com.arsdigita.formbuilder.actions.XMLEmailListener:{id=28028}].~form
	at com.redhat.persistence.Session.assertFlushed(Session.java(Inlined Compiled
Code))
	at
com.arsdigita.persistence.DataObjectImpl.assertFlushed(DataObjectImpl.java(Compiled
Code))
	at com.arsdigita.persistence.DataObjectImpl.save(DataObjectImpl.java:418)
	at com.arsdigita.domain.DomainObject.save(DomainObject.java:315)
	at
com.arsdigita.formbuilder.ui.editors.ProcessListenerForm$ProcessListenerFormProcessListener.process(ProcessListenerForm.java:187)
	at com.arsdigita.bebop.FormSection.fireProcess(FormSection.java:491)
	at com.arsdigita.bebop.FormSection$4.process(FormSection.java:465)
	at com.arsdigita.bebop.FormModel.fireFormProcess(FormModel.java:478)
	at com.arsdigita.bebop.FormModel.process(FormModel.java:345)
	at com.arsdigita.bebop.Form.process(Form.java:440)
	at com.arsdigita.bebop.Form.respond(Form.java:281)
	at com.arsdigita.bebop.PageState.respond(PageState.java:368)
	at com.arsdigita.bebop.Page.process(Page.java:696)
	at com.arsdigita.bebop.Page.process(Page.java:678)
	at com.arsdigita.bebop.Page.buildDocument(Page.java:732)
	at com.arsdigita.cms.dispatcher.CMSPage$1.excurse(CMSPage.java:280)
	at com.arsdigita.cms.CMSExcursion$1.excurse(CMSExcursion.java:82)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.cms.CMSExcursion.run(CMSExcursion.java:77)
	at com.arsdigita.cms.dispatcher.CMSPage.dispatch(CMSPage.java:294)
	at
_packages._content_22dsection._www._admin._item__jsp._jspService(_item__jsp.java:60)
	at com.caucho.jsp.JavaPage.service(JavaPage.java:75)
	at com.caucho.jsp.Page.subservice(Page.java:485)
	at com.caucho.server.http.FilterChainPage.doFilter(FilterChainPage.java:182)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardHelper(DispatcherHelper.java:177)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:206)
	at
com.arsdigita.dispatcher.DispatcherHelper.forwardRequestByPath(DispatcherHelper.java:219)
	at
com.arsdigita.cms.dispatcher.FileDispatcher.chainedDispatch(FileDispatcher.java:63)
	at com.arsdigita.dispatcher.DispatcherChain.dispatch(DispatcherChain.java:74)
	at
com.arsdigita.cms.ContentSectionServlet.doService(ContentSectionServlet.java:143)
	at
com.arsdigita.web.BaseApplicationServlet$1.excurse(BaseApplicationServlet.java:111)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at
com.arsdigita.web.BaseApplicationServlet.doService(BaseApplicationServlet.java:105)
	at com.arsdigita.web.BaseServlet$1.excurse(BaseServlet.java:119)
	at com.arsdigita.kernel.KernelExcursion.run(KernelExcursion.java:57)
	at com.arsdigita.web.BaseServlet.internalService(BaseServlet.java:94)
	at com.arsdigita.web.BaseServlet.doPost(BaseServlet.java:229)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:165)
	at javax.servlet.http.HttpServlet.service(HttpServlet.java:103)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:213)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:100)
	at com.caucho.server.http.QRequestDispatcher.forward(QRequestDispatcher.java:77)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:214)
	at com.arsdigita.web.BaseDispatcher.forward(BaseDispatcher.java:200)
	at com.arsdigita.web.BaseDispatcher.dispatch(BaseDispatcher.java:132)
	at com.arsdigita.web.DispatcherServlet.service(DispatcherServlet.java:136)
	at com.caucho.server.http.FilterChainServlet.doFilter(FilterChainServlet.java:96)
	at com.caucho.server.http.Invocation.service(Invocation.java:312)
	at com.caucho.server.http.HttpRequest.handleRequest(HttpRequest.java:221)
	at com.caucho.server.http.HttpRequest.handleConnection(HttpRequest.java:163)
	at com.caucho.server.TcpConnection.run(TcpConnection.java:137)
	at java.lang.Thread.run(Thread.java:513)


-*-*-*- Section: Servlet attributes -*-*-*-
com.arsdigita.bebop.PageState: com.arsdigita.bebop.PageState@11b8bfad = {
m_page = com.arsdigita.cms.ui.ContentItemPage@d59ffa6,
m_request = com.caucho.server.http.DispatchRequest@77e77faf,
m_response = com.caucho.server.http.HttpResponse@717b3fab,
m_pageState = com.arsdigita.bebop.FormData@11b6bfad = {
m_parameterDataValues = {bbp.2151.col={null, []}, bbp.2684.kw={null, []},
bbp.546.col={null, []}, bbp.34.stack={null, []}, bbp.2995.row={null, []},
bbp.2828.col={null, []}, bbp.1189.sel={2007, []}, bbp.1955.col={null, []},
bbp.1220.col={null, []}, bbp.706.control={null, []}, bbp.603.sel={null, []},
bbp.1233.sel={null, []}, bbp.680.stack={null, []}, bbp.413.col={null, []},
bbp.1043.col={null, []}, bbp.2023.sel={null, []}, bbp.2007.sel={null, []},
bbp.1352.col={null, []}, bbp.1150.sel={null, []}, bbp.2555.sel={22032, []},
bbp.1727.stack={null, []}, bbp.1409.row={null, []}, bbp.2223.row={null, []},
bbp.566.sel={null, []}, bbp.670.row={null, []}, bbp.1637.col={null, []},
bbp.376.col={null, []}, bbp.3071.o={null, []}, bbp.2747.row={null, []},
bbp.397.sel={null, []}, bbp.1938.col={null, []}, bbp.1489.sel={28006, []},
bbp.3071.d={asc, []}, bbp.1329.chim={null, []}, bbp.3071.c={null, []},
bbp.2654.chim={null, []}, bbp.2765.sel={null, []}, bbp.1344.kw={null, []},
bbp.433.sel={null, []}, bbp.3056.col={null, []}, bbp.1764.sel={null, []},
bbp.563.row={null, []}, bbp.1859.kw={null, []}, bbp.2692.row={null, []},
bbp.1902.row={null, []}, bbp.1611.sel={null, []}, bbp.3031.stack={null, []},
bbp.1867.col={null, []}, bbp.861.col={null, []}, bbp.430.row={null, []},
bbp.1761.row={null, []}, bbp.2281.col={null, []}, bbp.123.sel={null, []},
bbp.1958.sel={null, []}, bbp.172.col={null, []}, bbp.1280.col={null, []},
bbp.41.col={null, []}, bbp.1223.sel={null, []}, bbp.3071.col={null, []},
bbp.2081.type={null, []}, bbp.2057.row={null, []}, bbp.2727.col={null, []},
bbp.3006.sel={null, []}, bbp.177.sel={null, []}, bbp.1734.col={null, []},
bbp.1285.sel={null, []}, bbp.46.sel={null, []}, bbp.2151.row={null, []},
bbp.3039.col={null, []}, bbp.546.row={null, []}, bbp.1739.sel={null, []},
item_id={18026, []}, bbp.2828.row={null, []}, bbp.919.col={null, []},
bbp.2586.col={null, []}, bbp.1955.row={null, []}, bbp.2599.sel={null, []},
bbp.1220.row={null, []}, bbp.2817.col={null, []}, bbp.2777.o={null, []},
bbp.413.row={null, []}, bbp.2777.d={asc, []}, bbp.1700.sel={null, []},
bbp.1352.row={null, []}, bbp.155.col={null, []}, bbp.3091.sel={null, []},
bbp.24.col={null, []}, bbp.1263.col={null, []}, bbp.7.stack={null, []},
bbp.2984.stack={null, []}, bbp.687.col={null, []}, bbp.1717.col={null, []},
bbp.262.sel={null, []}, bbp.1840.sel={null, []}, bbp.1637.row={null, []},
bbp.2507.col={null, []}, bbp.1783.image_asset={null, []}, bbp.1180.col={null,
[]}, bbp.376.row={null, []}, bbp.2528.sel={null, []}, bbp.311.col={null, []},
bbp.555.sel={27017, []}, bbp.1938.row={null, []}, bbp.2614.sel={null, []},
bbp.316.sel={null, []}, bbp.3056.row={null, []}, bbp.632.col={null, []},
bbp.1325.image_asset={null, []}, bbp.175.sel={null, []}, bbp.653.sel={null, []},
bbp.1283.sel={null, []}, bbp.44.sel={null, []}, bbp.422.sel={27013, []},
bbp.637.sel={null, []}, bbp.1737.sel={null, []}, bbp.1867.row={null, []},
bbp.1810.col={null, []}, bbp.861.row={null, []}, bbp.294.col={null, []},
bbp.2049.sel={28021, []}, bbp.2281.row={null, []}, bbp.1802.kw={null, []},
bbp.2589.sel={null, []}, bbp.1480.col={null, []}, bbp.172.row={null, []},
bbp.509.col={null, []}, bbp.1280.row={null, []}, bbp.41.row={null, []},
bbp.2727.row={null, []}, bbp.1679.col={null, []}, bbp.1033.row={28028, []},
bbp.1734.row={null, []}, bbp.1947.sel={28018, []}, bbp.3039.row={null, []},
g11n.enc={UTF-8, []}, bbp.919.row={null, []}, bbp.2586.row={null, []},
bbp.2050.stack={null, []}, bbp.1190.stack={null, []}, bbp.76.col={null, []},
bbp.454.col={null, []}, bbp.89.sel={null, []}, bbp.2817.row={null, []},
bbp.215.col={null, []}, bbp.423.stack={null, []}, bbp.228.sel={null, []},
bbp.314.sel={null, []}, textParam={null, []}, bbp.2868.col={null, []},
bbp.155.row={null, []}, bbp.1263.row={null, []}, bbp.24.row={null, []},
bbp.687.row={null, []}, bbp.1717.row={null, []}, bbp.2752.sel={null, []},
bbp.2507.row={null, []}, bbp.1180.row={null, []}, bbp.1036.type={2064, []},
bbp.v={null, []}, bbp.2777.col={null, []}, bbp.s={1111, []}, imageParam={null,
[]}, bbp.311.row={null, []}, bbp.3084.o={null, []}, bbp.165.stack={null, []},
bbp.i={{4, 5, 16, 147, 286, 405, 538, 663, 682, 707, 708, 735, 1034, 1035, 1051,
1174, 1254, 1473, 1581, 1708, 1931, 2031, 2536}, []}, bbp.1273.stack={null, []},
bbp.1789.sel={null, []}, bbp.e={null, []}, bbp.1145.col={null, []},
bbp.3084.d={asc, []}, bbp.1166.sel={null, []}, bbp.2319.col={null, []},
bbp.632.row={null, []}, bbp.2920.sel={null, []}, bbp.2665.sel={null, []},
bbp.2405.col={null, []}, bbp.2904.sel={null, []}, bbp.1948.stack={null, []},
bbp.1202.sel={null, []}, bbp.1810.row={null, []}, bbp.164.sel={27005, []},
bbp.1272.sel={28001, []}, bbp.33.sel={27001, []}, bbp.294.row={null, []},
bbp.1726.sel={28013, []}, bbp.1552.col={null, []}, bbp.2062.sel={null, []},
bbp.3084.mid={null, []}, bbp.1573.sel={null, []}, bbp.79.sel={null, []},
bbp.1480.row={null, []}, bbp.509.row={null, []}, bbp.1557.sel={null, []},
bbp.218.sel={null, []}, bbp.1679.row={null, []}, bbp.1606.col={null, []},
bbp.3.pane={1, []}, bbp.2858.col={null, []}, bbp.2635.col={null, []},
bbp.1960.sel={null, []}, bbp.76.row={null, []}, bbp.2750.sel={null, []},
bbp.454.row={null, []}, bbp.215.row={null, []}, bbp.118.col={null, []},
bbp.1829.chim={null, []}, bbp.2040.col={null, []}, bbp.139.sel={null, []},
bbp.1502.sel={null, []}, bbp.679.sel={27023, []}, bbp.2868.row={null, []},
bbp.1589.col={null, []}, bbp.1650.sel={null, []}, bbp.303.sel={27009, []},
bbp.381.sel={null, []}, bbp.1197.col={null, []}, bbp.1444.col={null, []},
bbp.1465.sel={null, []}, bbp.2777.row={null, []}, bbp.2972.sel={null, []},
bbp.1449.sel={null, []}, bbp.1200.sel={null, []}, bbp.2076.control={null, []},
bbp.1246.sel={null, []}, bbp.2060.sel={null, []}, bbp.1145.row={null, []},
bbp.2319.row={null, []}, bbp.1303.col={null, []}, bbp.2563.col={null, []},
bbp.1787.chim={null, []}, bbp.257.col={null, []}, bbp.556.stack={null, []},
bbp.1316.sel={null, []}, bbp.2612.chim={null, []}, bbp.590.col={null, []},
bbp.278.sel={null, []}, bbp.2568.sel={null, []}, bbp.789.col={null, []},
bbp.1609.sel={null, []}, return_url={null, []}, bbp.1497.col={null, []},
bbp.1552.row={null, []}, bbp.2732.sel={null, []}, bbp.2002.col={null, []},
content_type={null, []}, bbp.9.stack={null, []}, bbp.1500.sel={null, []},
bbp.1401.kw={null, []}, bbp.1331.sel={null, []}, bbp.1606.row={null, []},
bbp.2858.row={null, []}, bbp.2635.row={null, []}, bbp.957.col={null, []},
bbp.2546.col={null, []}, bbp.1640.sel={null, []}, bbp.2794.stack={null, []},
bbp.334.col={null, []}, bbp.347.sel={null, []}, bbp.118.row={null, []},
bbp.2040.row={null, []}, bbp.2995.col={null, []}, bbp.1371.chim={null, []},
bbp.711.type={2057, []}, bbp.692.sel={null, []}, bbp.3084.col={null, []},
bbp.1589.row={null, []}, bbp.2395.row={null, []}, bbp.2512.sel={null, []},
moveSection={null, []}, bbp.1197.row={null, []}, bbp.1444.row={null, []},
bbp.1306.sel={null, []}, bbp.2566.sel={null, []}, bbp.8.stack={null, []},
bbp.593.sel={null, []}, bbp.304.stack={null, []}, bbp.2398.type={null, []},
bbp.2797.stack={null, []}, bbp.1409.col={null, []}, bbp.2223.col={null, []},
bbp.2945.sel={null, []}, bbp.670.col={null, []}, bbp.1303.row={null, []},
bbp.2563.row={null, []}, bbp.2627.kw={null, []}, bbp.2747.col={null, []},
bbp.257.row={null, []}, bbp.590.row={null, []}, bbp.789.row={null, []},
bbp.530.sel={null, []}, bbp.1598.sel={28009, []}, bbp.514.sel={null, []},
bbp.563.col={null, []}, bbp.1497.row={null, []}, bbp.2002.row={null, []},
bbp.1684.sel={null, []}, bbp.2692.col={null, []}, bbp.568.sel={null, []},
bbp.1902.col={null, []}, bbp.337.sel={null, []}, bbp.1923.sel={null, []},
bbp.2960.sel={null, []}, bbp.1599.stack={null, []}, bbp.1907.sel={null, []},
bbp.2608.image_asset={null, []}, bbp.2936.sel={null, []}, bbp.690.sel={null,
[]}, bbp.430.col={null, []}, bbp.1761.col={null, []}, bbp.957.row={null, []},
bbp.1490.stack={null, []}, bbp.2546.row={null, []}, bbp.1774.sel={null, []},
bbp.435.sel={null, []}, bbp.2556.stack={null, []}, bbp.3079.sel={null, []},
bbp.334.row={null, []}, bbp.2057.col={null, []}, bbp.1382.sel={null, []}},
m_formErrors = null,
m_model = com.arsdigita.bebop.FormModel@dad7fa6,
m_locale = en,
m_isTransformed = true,
m_isValid = false,
m_isSubmission = true
},
m_attributes = null,
,
m_grabbingComponent = null,
m_invisible = {4, 6, 7, 8, 9, 10, 17, 18, 19, 35, 36, 37, 40, 74, 75, 115, 148,
149, 150, 166, 167, 168, 171, 213, 214, 254, 287, 288, 289, 305, 306, 307, 310,
332, 333, 373, 406, 407, 408, 424, 425, 426, 429, 449, 450, 451, 452, 506, 539,
540, 541, 557, 558, 559, 562, 588, 589, 629, 661, 662, 664, 665, 681, 683, 686,
707, 709, 728, 729, 730, 731, 732, 733, 734, 736, 737, 738, 739, 1034, 1048,
1049, 1050, 1052, 1142, 1175, 1191, 1192, 1193, 1196, 1218, 1219, 1255, 1256,
1257, 1258, 1274, 1275, 1276, 1279, 1301, 1302, 1328, 1329, 1343, 1369, 1370,
1371, 1400, 1441, 1474, 1475, 1491, 1492, 1493, 1496, 1549, 1582, 1583, 1584,
1600, 1601, 1602, 1605, 1635, 1636, 1676, 1709, 1710, 1711, 1712, 1728, 1729,
1730, 1733, 1759, 1760, 1786, 1787, 1801, 1827, 1828, 1829, 1858, 1899, 1932,
1933, 1949, 1950, 1951, 1954, 1999, 2032, 2033, 2034, 2035, 2051, 2052, 2053,
2056, 2078, 2079, 2090, 2091, 2092, 2093, 2094, 2095, 2096, 2097, 2098, 2099,
2100, 2101, 2397, 2410, 2411, 2412, 2413, 2414, 2504, 2537, 2538, 2539, 2540,
2541, 2557, 2558, 2559, 2562, 2584, 2585, 2611, 2612, 2626, 2652, 2653, 2654,
2683, 2724, 2746, 2789, 2790, 2791, 2792, 2793, 2795, 2796, 2797, 2798, 2799,
2800, 2801, 2835, 2836, 2837, 2838, 2979, 2980, 2981, 2982, 2985, 2986, 3029,
3030, 3031, 3049, 3050, 3064}
}
com.arsdigita.bebop.RequestLocal: {com.arsdigita.bebop.Form$2@753affab=,
com.arsdigita.cms.ui.ContentItemPage$ItemRequestLocal@9f0bfa6=[com.arsdigita.cms.formbuilder.FormItem:{id=18026}]}
com.arsdigita.cms.dispatcher.section: [com.arsdigita.cms.ContentSection:{id=2072}]
com.arsdigita.dispatcher.RequestContext:
com.arsdigita.sitenode.SiteNodeRequestContext@cf47faf
com.arsdigita.dispatcher.RequestValue:
{com.arsdigita.dispatcher.RequestValue@4792ffb8=null}
com.arsdigita.web.BaseApplicationServlet.application_id: 2072
com.arsdigita.web.BaseDispatcher.dispatched: true
com.arsdigita.web.BaseServlet.request_url:
/ccm/forms/admin/item.jsp?bbp.2777.d=asc&to=rwsu%40redhat.com&bbp.3.pane=1&bbp.33.sel=27001&bbp.303.sel=27009&bbp.s=1111&bbp.1036.type=2064&bbp.422.sel=27013&subject=test1&bbp.1272.sel=28001&bbp.1189.sel=2007&bbp.3084.d=asc&bbp.2049.sel=28021&bbp.i=d0.4.2.a.1.3m.1.3u.1.3a.1.3o.1.3g.1.i.1.o.2.q.1.8a.2.f.1.3e.1.27.1.62.1.2z.1.3i.1.66.1.2r.1.e0.1&bbp.555.sel=27017&bbp.679.sel=27023&bbp.3071.d=asc&bbp.1598.sel=28009&bbp.1947.sel=28018&form.=visited&bbp.164.sel=27005&item_id=18026&bbp.1489.sel=28006&description=test1&bbp.2555.sel=22032&save=%C2%A0%C2%A0%C2%A0Save%C2%A0%C2%A0%C2%A0&bbp.711.type=2057&bbp.1726.sel=28013&g11n.enc=UTF-8&name=test1

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /__ccm__/servlet/content-section/admin/item.jsp
Query string: app-id=2072
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ANSI_X3.4-1968
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xerces.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xalan.jar:/ora8/m01/app/oracle/product/9.2/jdbc/lib/classes12.zip:/usr/share/pgsql/java/rh-pgsql-jdbc2.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/local/java/lib/tools.jar:/usr/local/java/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /usr/local/java/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.home: /usr/local/java/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/local/java/jre/bin:/usr/local/java/jre/bin/classic:/ora8/m01/app/oracle/product/9.2/lib:/lib/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-20.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/usr/local/java/jre/lib/rt.jar:/usr/local/java/jre/lib/i18n.jar:/usr/local/java/jre/classes
sun.boot.library.path: /usr/local/java/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /usr/opt/resin/2.1.4
user.home: /home/rwsu
user.language: en
user.name: rwsu
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-

guruMeditationCode: 172.16.64.132:545ebfa2:f85f58d2d2

-*-*-*- Section: Request summary -*-*-*-
Context path: 
Request URI: /ccm/forms/admin/item.jsp
Query string: null
Method: POST
Remote user: null

-*-*-*- Section: System properties -*-*-*-
file.encoding: ANSI_X3.4-1968
file.encoding.pkg: sun.io
file.separator: /
invokedviajava: 
java.assistive: ON
java.awt.fonts: 
java.awt.graphicsenv: sun.awt.X11GraphicsEnvironment
java.awt.printerjob: sun.awt.motif.PSPrinterJob
java.class.path:
:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jaas.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/jce.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/sunjce_provider.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xerces.jar:/var/ccm-devel/web/rwsu/soa/webapps/ccm/WEB-INF/lib/xalan.jar:/ora8/m01/app/oracle/product/9.2/jdbc/lib/classes12.zip:/usr/share/pgsql/java/rh-pgsql-jdbc2.jar:/opt/resin/2.1.4/lib/jaxp.jar:/opt/resin/2.1.4/lib/dom.jar:/opt/resin/2.1.4/lib/jdbc2_0-stdext.jar:/opt/resin/2.1.4/lib/jdbc-mysql.jar:/opt/resin/2.1.4/lib/jndi.jar:/opt/resin/2.1.4/lib/jmx.jar:/opt/resin/2.1.4/lib/jta-spec1_0_1.jar:/opt/resin/2.1.4/lib/resin.jar:/opt/resin/2.1.4/lib/sax.jar:/opt/resin/2.1.4/lib/webutil.jar:/usr/local/java/lib/tools.jar:/usr/local/java/jre/lib/rt.jar:/opt/resin/2.1.4/lib/jsdk23.jar
java.class.version: 46.0
java.compiler: jitc
java.ext.dirs: /usr/local/java/jre/lib/ext
java.fullversion: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.home: /usr/local/java/jre
java.io.tmpdir: /tmp
java.library.path:
/usr/local/java/jre/bin:/usr/local/java/jre/bin/classic:/ora8/m01/app/oracle/product/9.2/lib:/lib/usr/lib:libexec:/usr/lib
java.naming.factory.initial: com.caucho.naming.InitialContextFactoryImpl
java.naming.factory.url.pkgs: com.caucho.naming
java.runtime.name: Java(TM) 2 Runtime Environment, Standard Edition
java.runtime.version: 1.3.1
java.specification.name: Java Platform API Specification
java.specification.vendor: Sun Microsystems Inc.
java.specification.version: 1.3
java.vendor: IBM Corporation
java.vendor.url: http://www.ibm.com/
java.vendor.url.bug: 
java.version: 1.3.1
java.vm.info: J2RE 1.3.1 IBM build cxia32131-20030618 (JIT enabled: jitc)
java.vm.name: Classic VM
java.vm.specification.name: Java Virtual Machine Specification
java.vm.specification.vendor: Sun Microsystems Inc.
java.vm.specification.version: 1.0
java.vm.vendor: IBM Corporation
java.vm.version: 1.3.1
javax.xml.parsers.DocumentBuilderFactory:
org.apache.xerces.jaxp.DocumentBuilderFactoryImpl
javax.xml.parsers.SAXParserFactory: org.apache.xerces.jaxp.SAXParserFactoryImpl
javax.xml.transform.TransformerFactory: com.icl.saxon.TransformerFactoryImpl
line.separator: 

os.arch: x86
os.name: Linux
os.version: 2.4.20-20.8
path.separator: :
PreferredXSLTTransformer: SAXON
resin.home: /opt/resin/2.1.4
sun.boot.class.path:
/usr/local/java/jre/lib/rt.jar:/usr/local/java/jre/lib/i18n.jar:/usr/local/java/jre/classes
sun.boot.library.path: /usr/local/java/jre/bin
sun.io.unicode.encoding: UnicodeLittle
user.dir: /usr/opt/resin/2.1.4
user.home: /home/rwsu
user.language: en
user.name: rwsu
user.timezone: America/New_York
-*-*-*-*-*- End Error Report -*-*-*-*-*-





Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a new Form in the form content section
2. Add a action to the new form
3. Fill in all fields for your action and submit
    

Expected Results:  No errors.

Additional info:
Comment 1 Jon Orris 2003-12-04 15:47:17 EST
Probably a dup of 109973. Marking as blocking to double-check it's
tested before 6.0.1 release.
Comment 2 Richard Su 2003-12-08 11:57:59 EST
Still seeing the same error after I integrated changelist 38130 as
referenced by bz109973
Comment 3 Daniel Berrange 2003-12-09 11:18:25 EST
The change 38130 only removed redundant save() calls for WidgetForm.
The  same thing neeeds to be done for ProcessListenerForm. The
following code block is what I believe the problem is:

            PersistentProcessListener widget = null;
            if (action == null) {
                widget = getProcessListener();
                m_action.setSelectedKey(state, widget.setID());
            } else {
                try {
                    widget = getProcessListener(action);
                } catch (DataObjectNotFoundException ex) {
                    throw new FormProcessException("cannot find
persistent process listener " + action, ex);
                }
            }
            processWidgets(e, widget);
            widget.save();

            if (action == null)
                addToForm(e, widget);

The call to 'widget.save()' needs to be removed for sure.
Comment 4 Richard Su 2003-12-09 14:51:00 EST
Dan thought the problem may also have been fixed with bz 37977 and
37978. I diffed my sourec with those changes, and they were consistent.

I also commented out the widget.save() line, and commented out .save()
in a few other places. 

Still seeing the same error.
Comment 5 Archit Shah 2003-12-10 12:53:38 EST
workaround for bug 105378 (which basically doesn't allow 1..1 and link
attributes) fixes the problem. done at 38005 (dev) and 38678 (6.0.x).

Note You need to log in before you can comment on or make changes to this bug.